package com.goldenwater.slaj.acci.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.acci.domain.BisAcciRep;

/**
 * 事故报告 数据层
 */
@Mapper
public interface BisAcciRepMapper {

    /**
     * 查询事故报告信息
     * @param guid 查询条件
     * @return 事故报告信息
     */
    BisAcciRep selectBisAcciRepByGuid(String guid);

    /**
     * 查询事故报告列表
     * @param bisAcciRep 事故报告查询条件
     * @return 事故报告集合
     */
    List<BisAcciRep> selectBisAcciRepList(BisAcciRep bisAcciRep);

    /**
     * 新增事故报告
     * @param bisAcciRep 事故报告信息
     * @return 影响行数
     */
    int insertBisAcciRep(BisAcciRep bisAcciRep);

    /**
     * 修改事故报告
     * @param bisAcciRep 事故报告信息
     * @return 影响行数
     */
    int updateBisAcciRep(BisAcciRep bisAcciRep);

    /**
     * 删除事故报告
     * @param guid 事故报告主键
     * @return 影响行数
     */
    int deleteBisAcciRepByGuid(String guid);

    /**
     * 批量删除事故报告
     * @param guids 事故报告主键数组
     * @return 影响行数
     */
    int deleteBisAcciRepByGuids(String[] guids);
}
